Subject: Re: bug#42961: 28.0.50; [feature/native-comp] slime load-path warning

From: Stefan Kangas <[email-masked]>
Date: Wed, 26 Aug 2020 22:45:29 -0700

[Please use "Reply to all" so the discussion is in the bug tracker.]

Caio Henrique <[email-masked]> writes:

> Hi Stefan,
>
>> Do you have a recipe to reproduce this without involving the third-party
>> packages straight.el and use-package?
> I don't have it now, but I'll try to provide one using package.el and
> installing slime from melpa with package-install.

Thanks, it would be useful to hear about your findings.

>> Can you reproduce this without using the native-comp branch, for example
>> the current master branch?
> Now I'm using the master branch:
>
> In GNU Emacs 28.0.50 (build 4, x86_64-pc-linux-gnu, GTK+ Version 3.24.13, cairo version 1.16.0)
>  of 2020-08-20 built on localhost.localdomain
> Repository revision: bf60338d6dd02b4d848229878c8e14182f6f861f
> Repository branch: master
> Windowing system distributor 'Fedora Project', version 11.0.12006000
> System Description: Fedora 31 (Workstation Edition)
>
> And I can't reproduce the issue, that recipe works fine on this version.
>
> Cordially,
> Caio Henrique

So this is specific to the nativecomp branch.

Copying in Andrea Corallo.